Bug 442502 - Metadata not preserved when Copy metadata/tags selected
Metadata not preserved when Copy metadata/tags selected
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: audio-convert-mod (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 03:10 EDT by Ben Martin
Modified: 2009-01-14 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 17:54:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
-v output (772 bytes, text/plain)
2008-04-15 03:10 EDT, Ben Martin
no flags Details
Copies metadata during Ogg encode (1.39 KB, patch)
2008-04-29 15:29 EDT, Wil Cooley
no flags Details | Diff

  None (edit)
Description Ben Martin 2008-04-15 03:10:04 EDT
Description of problem:
Select a flac which has metadata, verify with nautilus right click properties
window. Select this and run audio-convert-mod on it. Select Copy metadata/tags
in the options, convert file. No metadata in the resulting ogg when right
clicked with nautilus.

Version-Release number of selected component (if applicable):
Version     : 3.45.2                            Vendor: Fedora Project
Release     : 2.fc8                         Build Date: Sun 09 Sep 2007 02:27:48
AM EST


How reproducible:
every time

Steps to Reproduce:
described above. Perhaps it needs a tool that it is not finding and should be a
dep for the rpm? Or atleast hinted to by the GUI if it is not avaiable and the
user wants to preserve metadata.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ben Martin 2008-04-15 03:10:04 EDT
Created attachment 302411 [details]
-v output
Comment 2 Stewart Adam 2008-04-17 17:36:15 EDT
Thank you for reporting this, I'm busy at the moment but I'll take a look at
this on the weekend when I have a bit of free time.
Comment 3 Wil Cooley 2008-04-29 13:44:57 EDT
I would like to add that copying the tags works when MP3 is the selected output
format, but not Ogg Vorbis (which I am more interested in).

Thanks for this great tool; when this problem is resolved, it will be a great
solution to a need that I have had for a while.
Comment 4 Wil Cooley 2008-04-29 15:29:37 EDT
Created attachment 304152 [details]
Copies metadata during Ogg encode

The attached patch fixes this bug.
Comment 5 Stewart Adam 2008-04-29 19:08:24 EDT
I've released version 3.45.3 which should fix the problem. If you can confirm
this please close the bug.
Comment 6 Fedora Update System 2008-04-29 19:18:38 EDT
audio-convert-mod-3.45.3-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-05-10 09:53:53 EDT
audio-convert-mod-3.45.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Ben Martin 2008-05-10 23:21:48 EDT
After making the update I now get this when I try to encode:
back (most recent call last):
  File "/usr/share/audio-convert-mod/acm-runapp.pyw", line 647, in
on_mainNextButton_clicked
    successfulConversionDest = prefs.get('Defaults', 'successfulConversionDest')
  File "/usr/lib64/python2.5/ConfigParser.py", line 520, in get
    raise NoOptionError(option, section)
NoOptionError: No option 'successfulconversiondest' in section: 'Defaults'

Moving the ~/.audio-c-m/prefs.conf out of the way doesn't stop the dialog that
appears with the error and the continue anyway button does not allow me to
continue but simply returns to the app.
Comment 9 Stewart Adam 2008-05-11 17:43:23 EDT
Found the bug, I changed updated preferences but forgot to update it. Version
3.45.4 has the fix that allows for a normal upgrade path.

If you'd like to skip the wait, you can download a non-official RPM package for
Fedora 7/8/9 here:
http://www.diffingo.com/content/view/13/47/lang,en/#a3
Comment 10 xaverx 2008-05-18 10:41:44 EDT
I install v 3.45.4 for FC9 but if I convert mp3 files to ogg format tags not
working.
Comment 11 xaverx 2008-05-18 10:52:59 EDT
(In reply to comment #10)
> I install v 3.45.4 for FC9 but if I convert mp3 files to ogg format tags not
> working.

Sorry, when I install id3v2 package, tags start working.
p.s REQ: Please add function- Remove diacritic from tags e.g. replace ľščťžýáíô
lsctzyaio etc. Thank you.
Comment 12 Stewart Adam 2008-05-18 12:24:08 EDT
Good idea, I should probably add the tag capabilities beside the encode/decode too.
Comment 13 Bug Zapper 2008-11-26 05:29:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Stewart Adam 2008-11-26 08:31:10 EST
Changing the release... I haven't had the time to work on audio-convert-mod in a while, but when I do I'll add these features.
Comment 15 Stewart Adam 2009-01-14 17:54:35 EST
I've submitted two updates, audio-convert-mod-3.45.5-1.fc10 and audio-convert-mod-3.45.5-1.fc9.1, which are now available in updates-testing that include the two new features.

Note You need to log in before you can comment on or make changes to this bug.